import type { JSX } from '../../stencil-public-runtime';
import type { FocusableElement, HideMsgPropType, IdPropType, InputRadioAPI, InputRadioStates, InputTypeOnDefault, LabelWithExpertSlotPropType, MsgPropType, NamePropType, Orientation, RadioOptionsPropType, ShortKeyPropType, StencilUnknown, Stringified, SyncValueBySelectorPropType, TooltipAlignPropType } from '../../schema';
export declare class KolInputRadio implements InputRadioAPI, FocusableElement {
    private readonly host?;
    private inputRef?;
    private readonly catchRef;
    getValue(): Promise<StencilUnknown | undefined>;
    kolFocus(): Promise<void>;
    private getFormFieldProps;
    render(): JSX.Element;
    private getOptionProps;
    private getInputProps;
    private renderOption;
    private readonly controller;
    _accessKey?: string;
    _disabled?: boolean;
    _hideMsg?: boolean;
    _hideLabel?: boolean;
    _hint?: string;
    _id?: IdPropType;
    _label: LabelWithExpertSlotPropType;
    _msg?: Stringified<MsgPropType>;
    _name?: NamePropType;
    _on?: InputTypeOnDefault;
    _options?: RadioOptionsPropType;
    _orientation?: Orientation;
    _required?: boolean;
    _shortKey?: ShortKeyPropType;
    _syncValueBySelector?: SyncValueBySelectorPropType;
    _tabIndex?: number;
    _tooltipAlign?: TooltipAlignPropType;
    _touched?: boolean;
    _value?: StencilUnknown;
    state: InputRadioStates;
    private inputHasFocus;
    constructor();
    private showAsAlert;
    validateAccessKey(value?: string): void;
    validateTooltipAlign(value?: TooltipAlignPropType): void;
    validateDisabled(value?: boolean): void;
    validateHideLabel(value?: boolean): void;
    validateHideMsg(value?: HideMsgPropType): void;
    validateHint(value?: string): void;
    validateId(value?: string): void;
    validateLabel(value?: LabelWithExpertSlotPropType): void;
    validateMsg(value?: Stringified<MsgPropType>): void;
    validateName(value?: string): void;
    validateOn(value?: InputTypeOnDefault): void;
    validateOptions(value?: RadioOptionsPropType): void;
    validateOrientation(value?: Orientation): void;
    validateRequired(value?: boolean): void;
    validateShortKey(value?: ShortKeyPropType): void;
    validateSyncValueBySelector(value?: SyncValueBySelectorPropType): void;
    validateTabIndex(value?: number): void;
    validateTouched(value?: boolean): void;
    validateValue(value?: Stringified<StencilUnknown>): void;
    componentWillLoad(): void;
    private onInput;
    private onChange;
    private readonly onKeyDown;
}
